# Tugas Besar 1 - Master App

Ini adalah master app dari Webtune Services

## Tata Cara melakukan update submodule

Gunakan perintah berikut:

```
git submodule update --recursive --remote
```

Bila baru pertama kali clone, untuk mendapatkan submodulenya lakukan ini:

```
git submodule update --init --recursive
```

## Requirements

Berikut ini adalah requirementsnya:

- Linux/WSL
- Docker
- Node
- Yarn
- Java

## Cara Menjalankan Sistem Pertama Kali

Berikut ini adalah cara menjalankan sistem ini:

1. Buka terminal pada linux anda (atau WSL)
2. Jalankan command berikut:

```sh
cd premium-app
yarn
cd ../rest
yarn
cd ../soap
./mvnw clean compile install
```

3. Jalankan docker dengan cara

```
docker compose up
```

5. Buka terminal baru, dapatkanlah nama container webtune app

```
docker ps | grep "webtune-app-1"
```

6. Jalankan migration untuk app

```
cd app
./migrate.sh <nama-container> up

# Contoh
./migrate.sh tugas-besar-1-master-app-webtune-app-1 up
```

## Menjalankan apabila pernah dijalankan sebelumnya

Gunakan perintah berikut:

```
docker compose up
```

## Tata cara commit dan push

Apabila sudah melakukan perubahan pada submodule, lakukan:

1. Commit di submodules
2. Push di submodules
3. Commit di master repository
4. Push master repository
